# 项目相关配置
inspur:
  # 名称
  name: Inspur
  # 版本
  version: 3.8.8
  # 版权年份
  copyrightYear: 2024
  # 文件路径 示例（ Windows配置D:/inspur/uploadPath，Linux配置 /home/inspur/uploadPath）
  profile: /data/inspur/elevator/96133/uploadPath
  # 获取ip地址开关
  addressEnabled: false
  # 验证码类型 math 数字计算 char 字符验证
  captchaType: math
  # wsPath: ws://192.168.1.151:80/openapi/v1.0/subscribe?access_token=
  wsPath: ws://10.219.166.91:80/openapi/v1.0/subscribe?access_token=

# 开发环境配置
server:
  # 服务器的HTTP端口，默认为8080
  port: 9610
  servlet:
    # 应用的访问路径
    context-path: /workOrder
  tomcat:
    # tomcat的URI编码
    uri-encoding: UTF-8
    # 连接数满后的排队数，默认为100
    accept-count: 1000
    threads:
      # tomcat最大线程数，默认为200
      max: 800
      # Tomcat启动初始化的线程数，默认值10
      min-spare: 100

# 日志配置
logging:
  level:
    com.inspur: debug
    org.springframework: warn

# 用户配置
user:
  password:
    # 密码最大错误次数
    maxRetryCount: 5
    # 密码锁定时间（默认10分钟）
    lockTime: 10
    platform: backendApi@123

# Spring配置
spring:
  # 资源信息
  messages:
    # 国际化资源文件路径
    basename: i18n/messages
  profiles:
    # active: mysql
    active: druid
  # 文件上传
  servlet:
    multipart:
      # 单个文件大小
      max-file-size: 10MB
      # 设置总上传的文件大小
      max-request-size: 20MB
  # 服务模块
  devtools:
    restart:
      # 热部署开关
      enabled: true
  # redis 配置
  redis:
    # 地址
    # host: 117.73.3.135
    host: 127.0.0.1
    # 端口，默认为6379
    port: 6379
    # 数据库索引
    database: 12
    # 密码
    # password: Hycpb@123
    password:
    # 连接超时时间
    timeout: 10s
    lettuce:
      pool:
        # 连接池中的最小空闲连接
        min-idle: 0
        # 连接池中的最大空闲连接
        max-idle: 8
        # 连接池的最大数据库连接数
        max-active: 8
        # #连接池最大阻塞等待时间（使用负值表示没有限制）
        max-wait: -1ms

# token配置
token:
  # 令牌自定义标识
  header: Authorization
  # 令牌密钥
  secret: abcdefghijklmnopqrstuvwxyz
  # 令牌有效期（默认30分钟）
  expireTime: 1440

# MyBatis配置
mybatis:
  # 搜索指定包别名
  typeAliasesPackage: com.inspur.**.domain
  # 配置mapper的扫描，找到所有的mapper.xml映射文件
  mapperLocations: classpath*:mapper/**/*Mapper.xml
  # 加载全局的配置文件
  configLocation: classpath:mybatis/mybatis-config.xml

# PageHelper分页插件
pagehelper:
  # helperDialect: mysql
  helperDialect: oracle
  supportMethodsArguments: true
  params: count=countSql

# Swagger配置
swagger:
  # 是否开启swagger
  enabled: true
  # 请求前缀
  pathMapping: /dev-api

# 防止XSS攻击
xss:
  # 过滤开关
  enabled: true
  # 排除链接（多个用逗号分隔）
  excludes: /system/notice
  # 匹配链接
  urlPatterns: /system/*,/monitor/*,/tool/*
pbx:
  # url: http://192.168.1.151:80
  url: http://10.219.166.91:80
  secret: nAIO3LtgcIJZ8GItx06YwTmJ5C3TbtsX
  clientId: GWJ4fFfZ0KDjO2UD8S2e6tL05MexHetI
  # 分机测试dev  正式环境用prod
  # active: dev
  active: prod
  # 手机归属地API地址
  api:
    url: http://10.10.11.240:15851/phoneApi/mobile?mobile=
    appcode: APPCODE 35aa2f6993d84cfab3aa822097468ca1

